type: google.api.Service
config_version: 3
name: mapsplatformdatasets.googleapis.com
title: Maps Platform Datasets API

apis:
- name: google.maps.mapsplatformdatasets.v1alpha.MapsPlatformDatasetsV1Alpha

documentation:
  summary:
    The Maps Platform Datasets API enables developers to ingest geospatially-tied datasets
    that they can use to enrich their experience of Maps Platform solutions (e.g. styling, routing).

backend:
  rules:
  - selector: 'google.maps.mapsplatformdatasets.v1alpha.MapsPlatformDatasetsV1Alpha.*'
    deadline: 10.0

authentication:
  rules:
  - selector: 'google.maps.mapsplatformdatasets.v1alpha.MapsPlatformDatasetsV1Alpha.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform

publishing:
  organization: CLIENT_LIBRARY_ORGANIZATION_UNSPECIFIED
  new_issue_uri: ''
  documentation_uri: ''
  api_short_name: ''
  github_label: ''
  doc_tag_prefix: ''
  codeowner_github_teams:
  library_settings:
